Bug 866444 - Occasional lack of notifications
Occasional lack of notifications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 07:43 EDT by Tim Waugh
Modified: 2014-02-05 07:35 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:34:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2012-10-15 07:43:23 EDT
Description of problem:
After one of the recent rounds of updates, I no longer get notifications for private IRC messages.  I have empathy running, and I hear the beep alerting me to a message, but the shell notification area doesn't have a chat icon to click on.

I'm not sure whether the problem is with empathy or the GNOME shell.

I do get notifications from other applications.

Version-Release number of selected component (if applicable):
empathy-3.6.0.1-1.fc18.x86_64
telepathy-mission-control-5.14.0-1.fc18.x86_64
telepathy-farstream-0.4.0-3.fc18.x86_64
telepathy-gabble-0.16.3-1.fc18.x86_64
telepathy-filesystem-0.0.2-4.fc18.noarch
telepathy-haze-0.6.0-2.fc18.x86_64
telepathy-salut-0.8.0-2.fc18.x86_64
telepathy-logger-0.4.0-4.fc18.x86_64
telepathy-idle-0.1.12-2.fc18.x86_64
telepathy-glib-0.20.0-1.fc18.x86_64
gnome-settings-daemon-3.6.0-4.fc18.x86_64
gnome-shell-3.6.0-1.fc18.x86_64

How reproducible:
Just started happening today.

Steps to Reproduce:
1.Connect to an IRC server that requires a NickServ password.
2.Wait for the beep indicating a message from NickServ.
3.Try to find that conversation window.
  
Actual results:
No icon to click on in notification area. No conversation window. No conversation tab.
Comment 1 Tim Waugh 2012-11-01 12:01:10 EDT
This happens sporadically and seems to be fixed once I restart the shell (Alt-F2 'r' Enter)... so, changing component.
Comment 2 Adam Buraczewski 2013-01-28 07:59:40 EST
I would like to confirm this bug. It started after upgrade to Fedora 18 (Fedora 17 did not have this bug).

Steps to reproduce with my machine:
1. Restart the computer.
2. Log in.
3. Start Empathy, set status to "Online" and ensure that notification displaying is turned on in the top-right system menu
4. No notifications of incoming messages are displayed
5. Alt-F2, restart
6. Notifications are displayed again.

The software versions which I use:
empathy.x86_64 3.6.3-1.fc18
gnome-settings-daemon.x86_64 3.6.4-2.fc18
gnome-shell.x86_64 3.6.2-6.fc18
telepathy-farstream.x86_64 0.6.0-1.fc18
telepathy-filesystem.noarch 0.0.2-4.fc18
telepathy-gabble.x86_64 0.16.4-2.fc18
telepathy-glib.x86_64 0.20.1-1.fc18
telepathy-haze.x86_64 0.6.0-2.fc18
telepathy-idle.x86_64 0.1.13-1.fc18
telepathy-logger.x86_64 0.6.0-3.fc18
telepathy-mission-control.x86_64 1:5.14.0-1.fc18
telepathy-rakia.x86_64 0.7.4-2.fc18
telepathy-salut.x86_64 0.8.1-1.fc18

Regards,
Adam Buraczewski
Comment 3 Fedora End Of Life 2013-12-21 04:07:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Mathieu Bridon 2013-12-22 05:04:27 EST
I don't think I've seen that any more with Fedora 20, so we can probably let this get closed automatically when Fedora 18 is EOL.
Comment 5 Fedora End Of Life 2014-02-05 07:35:01 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.